SHRED(1)

NAME
shred - delete a file securely, first overwriting it to hide its contents

SYNOPSIS
shred [OPTIONS] FILE [...]

DESCRIPTION

Delete a file securely, first overwriting it to hide its contents.

-f, --force
    change permissions to allow writing if necessary

-n, --iterations=N
    Overwrite N times instead of the default (25)

-s, --size=N
    shred this many bytes (suffixes like k, M, G accepted)

-u, --remove
    truncate and remove file after overwriting

-v, --verbose
    show progress

-x, --exact
    do not round file sizes up to the next full block

-z, --zero
    add a final overwrite with zeros to hide shredding

-   shred standard output

--help
    display this help and exit

--version
    print version information and exit

FIXME maybe add more discussion here?

AUTHOR
Written by Colin Plumb.

REPORTING BUGS
Report bugs to <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for shred is maintained as a Texinfo manual. If the info and shred programs are properly installed at your site, the command

    info shred

should give you access to the complete manual.